javax.faces.component.html

## Enum HtmlMessages.PropertyKeys

- java.lang.Object
- - java.lang.Enum<HtmlMessages.PropertyKeys>
  - - javax.faces.component.html.HtmlMessages.PropertyKeys

- All Implemented Interfaces:
    Serializable, Comparable<HtmlMessages.PropertyKeys>
  Enclosing class:
    HtmlMessages

      protected static enum HtmlMessages.PropertyKeys
      extends Enum<HtmlMessages.PropertyKeys>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `dir`
    `errorClass`
    `errorStyle`
    `fatalClass`
    `fatalStyle`
    `infoClass`
    `infoStyle`
    `lang`
    `layout`
    `role`
    `style`
    `styleClass`
    `title`
    `tooltip`
    `warnClass`
    `warnStyle`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `toString()`
    `static HtmlMessages.PropertyKeys` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static HtmlMessages.PropertyKeys[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### dir

          public static final HtmlMessages.PropertyKeys dir

    - #### errorClass

          public static final HtmlMessages.PropertyKeys errorClass

    - #### errorStyle

          public static final HtmlMessages.PropertyKeys errorStyle

    - #### fatalClass

          public static final HtmlMessages.PropertyKeys fatalClass

    - #### fatalStyle

          public static final HtmlMessages.PropertyKeys fatalStyle

    - #### infoClass

          public static final HtmlMessages.PropertyKeys infoClass

    - #### infoStyle

          public static final HtmlMessages.PropertyKeys infoStyle

    - #### lang

          public static final HtmlMessages.PropertyKeys lang

    - #### layout

          public static final HtmlMessages.PropertyKeys layout

    - #### role

          public static final HtmlMessages.PropertyKeys role

    - #### style

          public static final HtmlMessages.PropertyKeys style

    - #### styleClass

          public static final HtmlMessages.PropertyKeys styleClass

    - #### title

          public static final HtmlMessages.PropertyKeys title

    - #### tooltip

          public static final HtmlMessages.PropertyKeys tooltip

    - #### warnClass

          public static final HtmlMessages.PropertyKeys warnClass

    - #### warnStyle

          public static final HtmlMessages.PropertyKeys warnStyle

  - ### Method Detail

    - #### values

          public static HtmlMessages.PropertyKeys[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (HtmlMessages.PropertyKeys c : HtmlMessages.PropertyKeys.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static HtmlMessages.PropertyKeys valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Enum<HtmlMessages.PropertyKeys>`

Copyright © 1996-2013, Oracle and/or its affiliates. All Rights Reserved. Use is subject to license terms.